Bug 1282264 - [abrt] WARNING: CPU: 0 PID: 0 at drivers/gpu/drm/i915/intel_uncore.c:620 hsw_unclaimed_reg_debug+0x6d/0x90 [i915]()
[abrt] WARNING: CPU: 0 PID: 0 at drivers/gpu/drm/i915/intel_uncore.c:620 hsw_...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c9730b92936096a2bc957e9c749...
:
: 1318241 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 16:32 EST by Michael Meschenmoser
Modified: 2016-12-20 10:57 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:57:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (94.99 KB, text/plain)
2015-11-15 16:32 EST, Michael Meschenmoser
no flags Details

  None (edit)
Description Michael Meschenmoser 2015-11-15 16:32:25 EST
Additional info:
reporter:       libreport-2.6.3
WARNING: CPU: 0 PID: 0 at drivers/gpu/drm/i915/intel_uncore.c:620 hsw_unclaimed_reg_debug+0x6d/0x90 [i915]()
Unclaimed register detected after reading register 0x238c
Modules linked in: cpufreq_stats rfcomm fuse ccm cmac xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common videodev btusb media btrtl btbcm btintel ebtable_filter ebtable_broute bridge stp llc ebtable_nat ebtables ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security iptable_raw bnep bluetooth arc4 intel_rapl iTCO_wdt iTCO_vendor_support dell_wmi sparse_keymap x86_pkg_temp_thermal coretemp hid_multitouch kvm_intel iwlmvm kvm dell_laptop
 dcdbas mac80211 dell_led crct10dif_pclmul snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi crc32_pclmul vfat crc32c_intel fat iwlwifi snd_hda_intel snd_soc_rt286 snd_soc_rl6347a snd_hda_codec snd_soc_core snd_hda_core snd_hwdep snd_compress snd_pcm_dmaengine ac97_bus cfg80211 snd_seq snd_seq_device joydev snd_pcm rtsx_pci_ms mei_me memstick mei rfkill snd_timer i2c_i801 snd lpc_ich shpchp soundcore wmi processor_thermal_device intel_soc_dts_iosf dw_dmac int3400_thermal dw_dmac_core snd_soc_sst_acpi acpi_als int3403_thermal soc_button_array int3402_thermal int340x_thermal_zone kfifo_buf i2c_designware_platform iosf_mbi acpi_thermal_rel industrialio i2c_designware_core acpi_pad nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 rtsx_pci_sdmmc i2c_algo_bit drm_kms_helper drm
 serio_raw rtsx_pci sdhci_acpi sdhci mmc_core video i2c_hid
CPU: 0 PID: 0 Comm: swapper/0 Not tainted 4.2.5-300.fc23.x86_64 #1
Hardware name: Dell Inc. XPS 13 9343/0TM99H, BIOS A05 07/14/2015
 0000000000000000 1f3eeb2ac00cdde9 ffff88021f403c98 ffffffff8177280a
 0000000000000000 ffff88021f403cf0 ffff88021f403cd8 ffffffff8109e4b6
 ffff88021f403cb8 ffff88003fbc0000 000000000000238c 0000000000000000
Call Trace:
 <IRQ>  [<ffffffff8177280a>] dump_stack+0x45/0x57
 [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
 [<ffffffff8109e545>] warn_slowpath_fmt+0x55/0x70
 [<ffffffff810d3d81>] ? enqueue_entity+0x441/0xc50
 [<ffffffffa014739d>] hsw_unclaimed_reg_debug+0x6d/0x90 [i915]
 [<ffffffffa01498bd>] gen6_read32+0xcd/0x180 [i915]
 [<ffffffff8101df39>] ? sched_clock+0x9/0x10
 [<ffffffffa013f5c2>] intel_lrc_irq_handler+0xe2/0x230 [i915]
 [<ffffffffa0136349>] gen8_gt_irq_handler+0x239/0x240 [i915]
 [<ffffffffa01363cc>] gen8_irq_handler+0x7c/0x560 [i915]
 [<ffffffff810f5fd4>] handle_irq_event_percpu+0x74/0x180
 [<ffffffff810f6110>] handle_irq_event+0x30/0x60
 [<ffffffff810f942f>] handle_edge_irq+0x6f/0x130
 [<ffffffff81016e62>] handle_irq+0x72/0x120
 [<ffffffff810bd67a>] ? atomic_notifier_call_chain+0x1a/0x20
 [<ffffffff8177be1f>] do_IRQ+0x4f/0xe0
 [<ffffffff81779d2b>] common_interrupt+0x6b/0x6b
 <EOI>  [<ffffffff81108a9f>] ? hrtimer_start_range_ns+0x1bf/0x3b0
 [<ffffffff816165b0>] ? cpuidle_enter_state+0x130/0x270
 [<ffffffff8161658b>] ? cpuidle_enter_state+0x10b/0x270
 [<ffffffff81616727>] cpuidle_enter+0x17/0x20
 [<ffffffff810dfcd2>] call_cpuidle+0x32/0x60
 [<ffffffff81616703>] ? cpuidle_select+0x13/0x20
 [<ffffffff810dff68>] cpu_startup_entry+0x268/0x320
 [<ffffffff81768f4c>] rest_init+0x7c/0x80
 [<ffffffff81d5702d>] start_kernel+0x49d/0x4be
 [<ffffffff81d56120>] ? early_idt_handler_array+0x120/0x120
 [<ffffffff81d56339>] x86_64_start_reservations+0x2a/0x2c
 [<ffffffff81d56485>] x86_64_start_kernel+0x14a/0x16d

Potential duplicate: bug 1257481
Comment 1 Michael Meschenmoser 2015-11-15 16:32:37 EST
Created attachment 1094616 [details]
File: dmesg
Comment 2 Stefano Cavallari 2015-12-16 04:47:14 EST
Description of problem:
I had one HDMI screen connected, but not enabled (yet). 
Quite often KDE realizes it is connected only after some minutes, and enables it.
So after detection (few minutes) the screen was enabled successfully, color tone changed instantly (by redshift-gtk) and I got this kernel error. 
Graphics seems to be fine so far, including VT switching.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.2.6-301.fc23.x86_64 root=/dev/mapper/fedora-root ro rd.luks.uuid=xxxxxxx rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 vconsole.keymap=us rd.lvm.lv=fedora/root rd.lvm.vg=fedora resume=UUID=xxxxxxxxxx crashkernel=128M nmi_watchdog=1 LANG=en_US.UTF-8
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 4686 at drivers/gpu/drm/i915/intel_uncore.c:620 hsw_unclaimed_reg_debug+0x6d/0x90 [i915]()
Unclaimed register detected after reading register 0x223a0
Modules linked in: cmac rfcomm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 bnep btusb btrtl btbcm btintel uvcvideo bluetooth videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common videodev media xt_conntrack qcserial usb_wwan ebtable_nat ebtable_filter ebtable_broute bridge ebtables ip6table_security ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw ip6table_filter ip6_tables iptable_security iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw arc4 iwlmvm mac80211 ppdev dell_wmi iTCO_wdt iTCO_vendor_support vfat iwlwifi fat sparse_keymap intel_rapl dell_laptop x86_pkg_temp_thermal dcdbas coretemp dell_smm_hwmon kvm_intel dell_led cfg80211
 kvm snd_hda_codec_realtek snd_soc_rt5640 snd_hda_codec_generic snd_hda_codec_hdmi snd_soc_rl6231 snd_soc_core snd_hda_intel snd_hda_codec snd_compress snd_pcm_dmaengine ac97_bus snd_hda_core snd_hwdep snd_seq joydev snd_seq_device snd_pcm mei_me i2c_i801 lpc_ich mei snd_timer shpchp parport_pc snd wmi int3400_thermal parport processor_thermal_device int3403_thermal soundcore dw_dmac int3402_thermal dell_rbtn intel_soc_dts_iosf snd_soc_sst_acpi dw_dmac_core i2c_designware_platform int340x_thermal_zone iosf_mbi acpi_thermal_rel rfkill acpi_pad i2c_designware_core acpi_als kfifo_buf industrialio nfsd auth_rpcgss nfs_acl lockd grace binfmt_misc sunrpc dm_crypt i915 e1000e crct10dif_pclmul crc32_pclmul i2c_algo_bit drm_kms_helper crc32c_intel 8021q garp stp llc mrp serio_raw drm ptp cdc_mbim
 cdc_wdm sdhci_pci pps_core cdc_ncm usbnet mii sdhci_acpi sdhci mmc_core video i2c_hid ecryptfs encrypted_keys trusted tpm i2c_dev
CPU: 2 PID: 4686 Comm: Xorg Not tainted 4.2.6-301.fc23.x86_64 #1
Hardware name: Dell Inc. Latitude E7250/0TVD2T, BIOS A04 05/13/2015
 0000000000000000 000000000f84d9b5 ffff88041e503c98 ffffffff817729ea
 0000000000000000 ffff88041e503cf0 ffff88041e503cd8 ffffffff8109e4b6
 ffff88041e503d08 ffff8804075b0000 00000000000223a0 0000000000000000
Call Trace:
 <IRQ>  [<ffffffff817729ea>] dump_stack+0x45/0x57
 [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
 [<ffffffff8109e545>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa023439d>] hsw_unclaimed_reg_debug+0x6d/0x90 [i915]
 [<ffffffffa02368bd>] gen6_read32+0xcd/0x180 [i915]
 [<ffffffffa0236ddb>] ? gen8_write32+0x10b/0x1b0 [i915]
 [<ffffffffa022c518>] intel_lrc_irq_handler+0x38/0x230 [i915]
 [<ffffffffa0223327>] gen8_gt_irq_handler+0x217/0x240 [i915]
 [<ffffffffa02233cc>] gen8_irq_handler+0x7c/0x560 [i915]
 [<ffffffff810f5ff4>] handle_irq_event_percpu+0x74/0x180
 [<ffffffff810f6130>] handle_irq_event+0x30/0x60
 [<ffffffff810f944f>] handle_edge_irq+0x6f/0x130
 [<ffffffff81016e62>] handle_irq+0x72/0x120
 [<ffffffff8177c01f>] do_IRQ+0x4f/0xe0
 [<ffffffff81779f2b>] common_interrupt+0x6b/0x6b
 <EOI>  [<ffffffff810b6fff>] ? queue_delayed_work_on+0xf/0x50
 [<ffffffffa020fc1d>] __i915_add_request+0x1ed/0x280 [i915]
 [<ffffffffa02076db>] i915_gem_execbuffer_retire_commands+0x1b/0x20 [i915]
 [<ffffffffa022cb50>] intel_execlists_submission+0x3a0/0x520 [i915]
 [<ffffffffa0206b4e>] i915_gem_do_execbuffer.isra.27+0x89e/0x1110 [i915]
 [<ffffffffa00d6ea1>] ? drm_vblank_put+0x91/0xc0 [drm]
 [<ffffffffa00d7df5>] ? drm_wait_vblank+0x225/0x590 [drm]
 [<ffffffff81200849>] ? __kmalloc+0x1b9/0x260
 [<ffffffffa02084b2>] i915_gem_execbuffer2+0xb2/0x240 [i915]
 [<ffffffffa0211ec4>] ? i915_gem_busy_ioctl+0x84/0xc0 [i915]
 [<ffffffffa00d5365>] drm_ioctl+0x125/0x610 [drm]
 [<ffffffffa0208400>] ? i915_gem_execbuffer+0x310/0x310 [i915]
 [<ffffffff81108024>] ? enqueue_hrtimer+0x44/0x80
 [<ffffffff81231445>] do_vfs_ioctl+0x295/0x470
 [<ffffffff813294dd>] ? selinux_file_ioctl+0x4d/0xc0
 [<ffffffff81231699>] SyS_ioctl+0x79/0x90
 [<ffffffff810238e5>] ? syscall_trace_leave+0xb5/0x110
 [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Comment 3 Neal Becker 2016-03-16 06:47:04 EDT
*** Bug 1318241 has been marked as a duplicate of this bug. ***
Comment 4 Pavel Roskin 2016-03-20 12:57:22 EDT
Description of problem:
Started a video in mplayer

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/boot/vmlinuz-4.4.6-300.fc23.x86_64 root=UUID=5563d454-61b0-44f6-b9af-c3eefb840bff ro rhgb quiet LANG=en_US.UTF-8
kernel:         4.4.6-300.fc23.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 0 at drivers/gpu/drm/i915/intel_uncore.c:619 hsw_unclaimed_reg_debug+0x69/0x90 [i915]()
Unclaimed register detected before reading register 0x23a0
Modules linked in: fuse ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_filter ebtable_nat ebtable_broute bridge stp llc ebtables ip6table_mangle ip6table_raw ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_filter ip6_tables iptable_mangle iptable_raw iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack bnep arc4 intel_rapl x86_pkg_temp_thermal coretemp kvm_intel dell_wmi sparse_keymap kvm iwlmvm iTCO_wdt iTCO_vendor_support mac80211 uvcvideo irqbypass dcdbas videobuf2_vmalloc crct10dif_pclmul crc32_pclmul dell_smm_hwmon crc32c_intel videobuf2_memops videobuf2_v4l2 videobuf2_core v4l2_common videodev iwlwifi hid_sensor_gyro_3d hid_sensor_accel_3d hid_sensor_rotation btusb vfat
 fat hid_sensor_magn_3d btrtl hid_sensor_incl_3d hid_sensor_als dell_led btbcm hid_sensor_trigger hid_sensor_iio_common btintel industrialio_triggered_buffer kfifo_buf industrialio bluetooth media cfg80211 snd_hda_codec_realtek snd_soc_rt5640 joydev snd_hda_codec_hdmi snd_hda_codec_generic snd_soc_rl6231 snd_hda_intel snd_soc_core snd_hda_codec snd_compress snd_pcm_dmaengine snd_hda_core ac97_bus snd_hwdep wmi snd_seq snd_seq_device snd_pcm int3403_thermal soc_button_array dw_dmac dw_dmac_core elan_i2c dell_smo8800 snd_soc_sst_acpi mei_me snd_timer mei dell_rbtn int3402_thermal int3400_thermal rfkill spi_pxa2xx_platform acpi_thermal_rel processor_thermal_device lpc_ich int340x_thermal_zone intel_soc_dts_iosf acpi_pad i2c_i801 shpchp snd iosf_mbi tpm_tis tpm soundcore intel_pch_thermal
 nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_multitouch i915 i2c_algo_bit drm_kms_helper drm serio_raw sdhci_acpi sdhci mmc_core video fjes i2c_hid hid_sensor_hub
CPU: 3 PID: 0 Comm: swapper/3 Not tainted 4.4.6-300.fc23.x86_64 #1
Hardware name: Dell Inc. Inspiron 7348/0G14T4, BIOS A07 07/07/2015
 0000000000000086 9474c0c1270d860f ffff88025ecc3cc8 ffffffff813b542e
 ffff88025ecc3d10 ffffffffa01dd750 ffff88025ecc3d00 ffffffff810a40f2
 ffff88003fb30000 00000000000023a0 ffff88003fb320d8 00000000000023a0
Call Trace:
 <IRQ>  [<ffffffff813b542e>] dump_stack+0x63/0x85
 [<ffffffff810a40f2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a418c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffff810d4c0c>] ? __enqueue_entity+0x6c/0x70
 [<ffffffff810dabc2>] ? enqueue_entity+0x3a2/0xc90
 [<ffffffffa0157429>] hsw_unclaimed_reg_debug+0x69/0x90 [i915]
 [<ffffffffa015a049>] gen6_read32+0x59/0x1a0 [i915]
 [<ffffffffa014d648>] intel_lrc_irq_handler+0x38/0x240 [i915]
 [<ffffffff810cce34>] ? check_preempt_curr+0x54/0x90
 [<ffffffffa0109dc9>] gen8_gt_irq_handler+0x239/0x240 [i915]
 [<ffffffffa0109e71>] gen8_irq_handler+0xa1/0x740 [i915]
 [<ffffffff810c352a>] ? notifier_call_chain+0x4a/0x70
 [<ffffffff810fc6da>] handle_irq_event_percpu+0x8a/0x1d0
 [<ffffffff810fc84c>] handle_irq_event+0x2c/0x50
 [<ffffffff810ffd1f>] handle_edge_irq+0x6f/0x130
 [<ffffffff81019dc3>] handle_irq+0x73/0x120
 [<ffffffff810c35ea>] ? atomic_notifier_call_chain+0x1a/0x20
 [<ffffffff817a2f3b>] do_IRQ+0x4b/0xd0
 [<ffffffff817a0f87>] common_interrupt+0x87/0x87
 <EOI>  [<ffffffff8163ce31>] ? cpuidle_enter_state+0x111/0x2b0
 [<ffffffff8163d007>] cpuidle_enter+0x17/0x20
 [<ffffffff810e65b2>] call_cpuidle+0x32/0x60
 [<ffffffff8163cfe3>] ? cpuidle_select+0x13/0x20
 [<ffffffff810e6870>] cpu_startup_entry+0x290/0x350
 [<ffffffff81050327>] start_secondary+0x157/0x190
Comment 5 Fedora End Of Life 2016-11-24 08:27:56 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 10:57:08 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.